<header class="header py-2 {{unless isSmallDevice "header--big-height row"}}">
  {{#if isSmallDevice}}
    <div class="header__nav">
      {{#if showBackBtn}}
        {{#if isButtonNetRoute}}
          {{#link-to 'button-net.index.index' class="header__button" tagName="button"}}
            {{svg-jar 'back' class="icon"}}
          {{/link-to}}
        {{else}}
          {{#link-to 'index.index' class="header__button" tagName="button"}}
            {{svg-jar 'back' class="icon"}}
          {{/link-to}}
        {{/if}}
      {{else}}
        {{#if isAuthenticated}}
          <button type="button" {{action 'toggleModal' 'isShowingMenuModal'}} class="header__button">
            {{svg-jar 'menu' class="icon"}}
          </button>
        {{else}}
          <button type="button" {{action 'toggleModal' 'hideWelcome'}} class="header__button">
            {{svg-jar 'back' class="icon"}}
          </button>
        {{/if}}
      {{/if}}
    </div>
    <div class="header__center">
      {{#if isMyButtonsRoute}}
        <h3 class="header__title">
          MI PERFIL - MIS BOTONES
        </h3>
      {{else}}
        {{#if isButtonNetRoute}}
          {{!-- {{#link-to 'button-net.index'}} --}}
            {{net-picker class="" loading=loading agreedNet=buttonNet isShowingCreateNetModal=isShowingCreateNetModal}}
            <!-- {{svg-jar "svg-logo" class="small-header-icon"}} -->
          {{!-- {{/link-to}} --}}
        {{else}}
          {{!-- {{#link-to 'index'}} --}}
            {{net-picker class="" loading=loading agreedNet=buttonNet isShowingCreateNetModal=isShowingCreateNetModal}}
            <!-- {{svg-jar "svg-logo" class="small-header-icon"}} -->
          {{!-- {{/link-to}} --}}
        {{/if}}
      {{/if}}
    </div>
    <div class="header__nav">
      {{#if showLinkToHome}}
        <button type="button" {{action 'toggleModal' 'isShowingModal'}} class="header__button">
          {{#if isButtonNetRoute}}
            {{#link-to 'button-net.index.index' (query-params hideWelcome=true)}}
              {{svg-jar 'button_list' class="icon"}}
            {{/link-to}}
          {{else}}
            {{#link-to 'index.index' (query-params hideWelcome=true)}}
              {{svg-jar 'button_list' class="icon"}}
            {{/link-to}}
          {{/if}}
        </button>
      {{else if isMyButtonsRoute}}
        <button type="button" {{action 'toggleModal' 'isShowingModal'}} class="header__button">
          {{svg-jar 'lense' class="icon"}}
        </button>
      {{else}}
        <button type="button" {{action 'toggleModal' 'isShowingModal'}} class="header__button">
          {{svg-jar 'lense' class="icon"}}
        </button>
      {{/if}}
    </div>
  {{else}}
    {{#if isButtonNetRoute}}
      <div class="component-header__logo-net">
        {{#link-to 'button-net.index.index' (query-params lat=buttonNet.latitude lng=buttonNet.longitude buttonsDisplay="map" hideWelcome="true") class="component-header__logo-net-link col-lg-2"}}
          <div class="component-header__logo-net-title">{{svg-jar buttonNet.imgUrl class="component-header__logo-net-img"}}<div class="component-header__logo-net-name">{{buttonNet.name}}</div></div>
        {{/link-to}}
        <div class="component-header__logo-net-subt">
          basado en
          {{#link-to 'index' (query-params buttonsDisplay="map" hideWelcome="true") class="component-header__logo-net-hb"}}
            {{svg-jar "svg-logo" class="icon"}}
          {{/link-to}}
        </div>
      </div>
    {{else}}
      {{#link-to 'index' (query-params buttonsDisplay="map" hideWelcome="true") class="component-header__logo col-lg-2"}}
        {{svg-jar "svg-logo" class="icon"}}
      {{/link-to}}
    {{/if}}

    {{!-- nav-bar desktop --}}
      <div class="col">
        <form class="row" onsubmit="return false;">
        {{#if isMyButtonsRoute}}
          <div class="col">
            {{#power-select-multiple-with-create
              selected=selectedTags
              search=(action 'searchTags')
              options=trendingTags
              onchange=(action "closedToggleSelectedTag")
              placeholder=searchPlaceholder
              triggerClass="select__select select__select-header ember-power-select-no-icon component-header__text-input"
              dropdownClass="component-header__options border-0"
              searchMessage=false
              oncreate=(action 'searchTags')
              buildSuggestion=(action 'tagSuggestion')
              as |tag|
            }}
              <div class="ember-power-select-multiple-remove-btn">
                #{{tag.name}}
                <div class="button-counter">
                  {{tag.activeButtonsCounter}} buttons
                </div>
              </div>
            {{/power-select-multiple-with-create}}
          </div>
        {{/if}}
        {{#if isUserRoute}}
          <div class="col">
            {{#power-select-multiple-with-create
              selected=selectedTags
              search=(action 'searchTags')
              options=trendingTags
              onchange=(action "closedToggleSelectedTag")
              placeholder=searchPlaceholder
              triggerClass="select__select select__select-header ember-power-select-no-icon component-header__text-input"
              dropdownClass="component-header__options border-0"
              searchMessage=false
              oncreate=(action 'searchTags')
              buildSuggestion=(action 'tagSuggestion')
              as |tag|
            }}
              <div class="ember-power-select-multiple-remove-btn">
                #{{tag.name}}
                <div class="button-counter">
                  {{tag.activeButtonsCounter}} buttons
                </div>
              </div>
            {{/power-select-multiple-with-create}}
          </div>
        {{/if}}
        {{#unless isMyButtonsRoute}}
          {{#if isIndexRoute}}
            <div class="col">
              {{#power-select-multiple-with-create
                selected=selectedTags
                search=(action 'searchTags')
                options=trendingTags
                onchange=(action "closedToggleSelectedTag")
                placeholder=searchPlaceholder
                triggerClass="select__select select__select-header ember-power-select-no-icon component-header__text-input"
                dropdownClass="component-header__options border-0"
                searchMessage=false
                oncreate=(action 'searchTags')
                buildSuggestion=(action 'tagSuggestion')
                as |tag|
              }}
                <div class="ember-power-select-multiple-remove-btn">
                  #{{tag.name}}
                  <div class="button-counter">
                    {{tag.activeButtonsCounter}} buttons
                  </div>
                </div>
              {{/power-select-multiple-with-create}}
            </div>
            <span class="my-auto component-header__text"> en </span>
            {{#unless showDestinationSearch}}
              <div class="col pr-4">
                  <div class="row">
                  {{place-autocomplete-field
                    classNames="input col  pr-0"
                    inputClass='input__input component-header__autocomplete-input_right col'
                    value=inputAddress
                    searchAction=(action 'searchByAddress')
                    placeChangedCallback=(action 'searchByAddress')
                    setValueWithProperty='formatted_address'
                    handlerController=this
                    withGeoLocate=true
                    placeholder="¿Dónde lo buscas?"
                    disabled=isSearching
                  }}
                  <!-- {{#promise-button
                    class="header__button component-header__search-button"
                    btnAction=(action 'toggleProperty' 'showDestinationSearch')
                    hideContentOnLoading=true
                  }}
                    {{svg-jar "from_to" class="icon"}}
                  {{/promise-button}} -->
                </div>
              </div>
            {{else}}
                <div class="col pr-4">
                  <div class="row">
                    {{place-autocomplete-field
                      classNames="input col pr-0"
                      inputClass='input__input component-header__autocomplete-input col'
                      value=fromAddress
                      setValueWithProperty='formatted_address'
                      handlerController=this
                      withGeoLocate=true
                      placeholder="Desde"
                      disabled=isSearching
                    }}
                    {{place-autocomplete-field
                      classNames="input col pl-1 pr-0"
                      inputClass='input__input component-header__autocomplete-input_right col'
                      value=toAddress
                      setValueWithProperty='formatted_address'
                      handlerController=this
                      withGeoLocate=true
                      placeholder="Hasta"
                      disabled=isSearching
                    }}
                    {{#promise-button
                      class="header__button component-header__search-button"
                      btnAction=(action 'toggleProperty' 'showDestinationSearch')
                      hideContentOnLoading=true
                    }}
                      {{svg-jar "here" class="icon"}}
                    {{/promise-button}}
                  </div>
                </div>
            {{/unless}}
          {{/if}}
        {{/unless}}
      {{#if isIndexRoute}}
          {{#promise-button
            class="header_button component-header__time-button button--bordered"
            btnAction=(action 'toggleProperty' 'showDatePicker')
            hideContentOnLoading=true
          }}
          {{#unless inputDate}}
            {{svg-jar "time_black" class="icon"}}
          {{else}}
            {{inputFormatedDate}}
          {{/unless}}
          {{/promise-button}}
      {{/if}}
      </form>
    </div>
    {{!-- If is logged --}}
    {{#if isAuthenticated}}
      {{net-picker class="" loading=loading agreedNet=buttonNet isShowingCreateNetModal=isShowingCreateNetModal}}
      {{#basic-dropdown horizontalPosition="right" verticalPosition="below" as |dropdown|}}
        {{#dropdown.trigger class="col-3 mr-3 component-header__user-header-menu-trigger"}}
          <div class="row component-header__user-header-menu ">
            <picture class="col-2 px-0 text-center picture component-header__avatar-container">
              {{#if currentUser.hasNotifications}}
                <a href="" class="notif-circle">{{currentUser.notificationsNumber}}</a>
              {{/if}}

              {{#if currentUser.hasAvatar}}
                <img src={{currentUserAvatar.tinyThumb}} alt="Avatar" class="component-header__avatar picture__img">
              {{else}}
                {{svg-jar 'profile_def' class="bg-primary component-header__avatar picture__img"}}
              {{/if}}
            </picture>
            <!-- {{#if unreadMessagesbool}} -->
            <!-- {{/if}} -->
            <span class="col-8 menu-component__option-div-text">{{currentUser.nickname}}!</span>
            {{!-- <div class="col-2 px-0">
              <span class="component-header__notification">2</span>
            </div> --}}
          </div>
        {{/dropdown.trigger}}
        {{#dropdown.content
          onMouseLeave=(action "closeDropdown")
          class="component-header__dropdown-container"
        }}
          <div class="component-header__dropdown-arrow"></div>
          <div class="component-header__dropdown-content">
            {{menu-component
              isShowingMenuModal=isShowingMenuModal
              isShowingModal=isShowingModal
              isSmallDevice=isSmallDevice
              searchTrendingTags=searchTrendingTags
            }}
          </div>
        {{/dropdown.content}}
      {{/basic-dropdown}}
    {{else}}
      <div class="col component-header__session-buttons">
        <div class="row justify-content-end">
          {{net-picker class="" loading=loading agreedNet=buttonNet isShowingCreateNetModal=isShowingCreateNetModal}}
          <div class="col component-header__header-button">
            {{#if isButtonNetRoute}}
              {{#link-to 'button-net.register' class="button button--bordered" tagName='button'}}
                Entrar
              {{/link-to}}
            {{else}}
              {{#link-to 'register' class="button button--bordered" tagName='button'}}
                Entrar
              {{/link-to}}
            {{/if}}
          </div>
        </div>
      </div>
    {{/if}}
  {{/if}}
</header>
{{!-- MODAL --}}
{{#if isSmallDevice}}
  {{#if isShowingMenuModal}}
    {{#modal-dialog
      onClose=(action 'toggleModal')
      targetAttachment='none'
      targetAttachment="center"
      translucentOverlay=true
      animatable=true
      overlayClass="component-header__modal"
      containerClass=modalBackground
    }}
      {{menu-component
        isSmallDevice=isSmallDevice
        isShowingMenuModal=isShowingMenuModal
        classNames="menu-component"
        searchTrendingTags=searchTrendingTags
      }}
    {{/modal-dialog}}
  {{/if}}
{{/if}}
{{#if isShowingCreateNetModal}}
  {{#modal-dialog
    onClose=(action 'toggleCreateButtonNet')
    targetAttachment='none'
    targetAttachment="center"
    translucentOverlay=true
    animatable=true
    overlayClass="component-header__modal"
    containerClass="create-net-component__wrap-modal"
  }}
    {{create-net-component-modal isModal=true isShowingCreateNetModal=isShowingCreateNetModal buttonNet=buttonNet}}
  {{/modal-dialog}}
{{/if}}
